Get Tax Code
Access control: this endpoint is available to users with the
everyonerole.
Get the taxcode object identified by this URL. A ‘TaxCode’ represents a uniquely identified type of product, good, or service. Avalara supports correct tax rates and taxability rules for all TaxCodes in all supported jurisdictions. If you identify your products by tax code in your ‘Create Transaction’ API calls, Avalara will correctly calculate tax rates and taxability rules for this product in all supported jurisdictions.
Security Policies
- This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
Authentication
Authorizationstring
API Key authentication via header
Path parameters
companyId
The ID of the company that owns this tax code
id
The primary key of this tax code
Headers
X-Avalara-Client
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Response
Success
taxCode
A code string that identifies this tax code.
taxCodeTypeId
The type of this tax code.
id
The unique ID number of this tax code.
companyId
The unique ID number of the company that owns this tax code.
description
A friendly description of this tax code.
parentTaxCode
If this tax code is a subset of a different tax code, this identifies the parent code.
isPhysical
True if this tax code type refers to a physical object. Read only field.
goodsServiceCode
The Avalara Goods and Service Code represented by this tax code.
entityUseCode
The Avalara Entity Use Code represented by this tax code.
isActive
True if this tax code is active and can be used in transactions.
isSSTCertified
True if this tax code has been certified by the Streamlined Sales Tax governing board. By default, you should leave this value empty.
createdDate
The date when this record was created.
createdUserId
The User ID of the user who created this record.
modifiedDate
The date/time when this record was last modified.
modifiedUserId
The user ID of the user who last modified this record.
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error

